import * as plugins from '../ul-interfaces.plugins.js';

export interface IDomainSnapshot {
  registered: boolean;
  delegation: {
    domainWithoutSuffix: string;
    publicSuffix: string;
    subdomain: string;
    isIcann: boolean;
    dnsSecEnabled: boolean;
  };
  phishingFlags: {
    listName: string;
  }[];
  nameservers: string[];
  aRecords: plugins.tsclass.network.IDnsRecord[];
  aaaaRecords: plugins.tsclass.network.IDnsRecord[];
  txtRecords: plugins.tsclass.network.IDnsRecord[];
  mxRecords: plugins.tsclass.network.IDnsRecord[];
  whoisServers: {
    serverUrl: string;
    content: string;
  }[];
}